# Ping

The `/ping` endpoint returns a plain text `pong` response. This can be used for liveliness and/or latency checks.

{% tabs %}
{% tab title="Curl" %}

```
curl http://127.0.0.1:8080/ping
```

{% endtab %}

{% tab title="PyClient" %}

```python
from core_client import Client

client = Client(
    base_url="http://127.0.0.1:8080"
)
client.login()

core_ping = client.ping()
print(core_ping)
```

{% endtab %}

{% tab title="GoClient" %}
This is currently not implemented.
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.datarhei.com/core/api/ping.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
